Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Linear_Search_OpTable Class Reference

Operation table lookup strategy based on linear search. Not efficient, but it works. More...

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Linear_Search_OpTable:

[legend]
Collaboration diagram for TAO_Linear_Search_OpTable:

[legend]
List of all members.

## Public Methods
| TAO_Linear_Search_OpTable (void)
| Default constructor. More...
| ~TAO_Linear_Search_OpTable (void)
| Destructor. More...
virtual int | find (const char *opname, TAO_Skeleton &skel_ptr, const unsigned int length=0)
virtual int | bind (const char *opname, const TAO_Skeleton skelptr)
| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. More...
## Private Methods
virtual const TAO_operation_db_entry * | lookup (const char *str)=0

## Detailed Description

Operation table lookup strategy based on linear search. Not efficient, but it works.

## Constructor & Destructor Documentation

TAO_Linear_Search_OpTable::TAO_Linear_Search_OpTable | ( | void |  | ) |

| Default constructor.

TAO_Linear_Search_OpTable::~TAO_Linear_Search_OpTable | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Linear_Search_OpTable::bind | ( | const char * | opname,
|  | const TAO_Skeleton | skel_ptr
| ) | `[virtual]`

| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. Reimplemented from TAO_Operation_Table.

int TAO_Linear_Search_OpTable::find | ( | const char * | opname,
|  | TAO_Skeleton & | skelfunc,
|  | const unsigned int | length = 0
| ) | `[virtual]`

| Uses <{opname}> to look up the skeleton function and pass it back in <{skelfunc}>. Returns non-negative integer on success, or -1 on failure. Reimplemented from TAO_Operation_Table.

virtual const TAO_operation_db_entry* TAO_Linear_Search_OpTable::lookup | ( | const char * | str | ) | `[private, pure virtual]`

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp